#include "modelcreatordata.h"

ModelCreatorData *MCD = 0;

ModelCreatorData::ModelCreatorData()
{
    model_data.base_path = 0;
    model_data.material_name = 0;
    model_data.mesh_name = 0;
    model_data.model_name = 0;

    for(int a=0;a<8;a++)
    {
        material_data[a].color_block = 0;
        material_data[a].data_block = 0;
        material_data[a].float_block = 0;
        material_data[a].texture_block = 0;
        material_data[a].texture_path = 0;
    }

    material_shader_path = 0;

    shader_data.fragment_shader = 0;
    shader_data.vertex_shader = 0;

}

ModelCreatorData::~ModelCreatorData()
{
    FREE(model_data.base_path);
    FREE(model_data.material_name);
    FREE(model_data.mesh_name);
    FREE(model_data.model_name);

    for(int a=0;a<8;a++)
    {
        FREE(material_data[a].color_block);
        FREE(material_data[a].data_block);
        FREE(material_data[a].float_block);
        FREE(material_data[a].texture_block);
        FREE(material_data[a].texture_path);
    }

    FREE(material_shader_path);

    FREE(shader_data.fragment_shader);
    FREE(shader_data.vertex_shader);
}
